org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcColumnMeta

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMeta

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcColumnMeta
    extends Object
    implements JdbcRawBinarylizable

SQL listener column metadata.

### Constructor Summary

Constructors
Constructor and Description
`JdbcColumnMeta()` Default constructor is used for serialization.
`JdbcColumnMeta(GridQueryFieldMetadata info)`

### Method Summary

Methods
`String` `columnName()`
`int` `dataType()`
`String` `dataTypeClass()`
`String` `dataTypeName()`
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`String` `schemaName()`
`String` `tableName()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcColumnMeta

    public JdbcColumnMeta()

Default constructor is used for serialization.

#### JdbcColumnMeta

    public JdbcColumnMeta(GridQueryFieldMetadata info)

Parameters:
  `info` - Field metadata.

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### columnName

    public String columnName()

Returns:
  Column name.

#### dataType

    public int dataType()

Returns:
  Column's data type.

#### dataTypeName

    public String dataTypeName()

Returns:
  Column's data type name.

#### dataTypeClass

    public String dataTypeClass()

Returns:
  Column's data type class.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `writer` - Binary object writer.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `reader` - Binary object reader.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017